

# CytoScanPreprocess
# -----------------------------------------------------------------------------
# Update: 18/11/2013
# Created: 12/07/2013

CytoScanPreprocess <- function(ii, cychp.complete, output.path, output.temp,
        bt, tt, save, fill.24, verbose) {

    name <- gsub(".cyhd.cychp.txt", "", basename(cychp.complete[ii]))
    screen_cyhd_mad(verbose, FALSE, "Pre-process for individual '", name ,"'.")

    # Call the python parser's to clean the data
    CytoScantParser(cychp.complete[ii], output.temp, verbose)
    # /Call the python parser's to clean the data

    genotype.set <- file.path(output.temp,
        paste0(name, ".cyhd.cychp.genotype.f.txt"), fsep=.Platform$file.sep)
    copynumber.set <- file.path(output.temp,
        paste0(name, ".cyhd.cychp.cnds.f.txt"), fsep=.Platform$file.sep)
    allelepeaks.set <- file.path(output.temp,
        paste0(name, ".cyhd.cychp.apds.f.txt"), fsep=.Platform$file.sep )

    ds <- CytoScanProcess(genotype.set, copynumber.set, allelepeaks.set,
        bt, tt, basename(cychp.complete[ii]), name, output.path, save,
        fill.24, output.temp, verbose)

    return(ds)
}
