GenomeWideAsMad <- function(data, output.path, fill.24, verbose) {
    if (length(data) < 1) {
        return(NA)
    }

    ncel <- ncol(data$calls);
    for(ii in 1:ncel) {
        file.name <- paste0(gsub(".CEL", "", colnames(data$baf)[ii]))
        file.name <- file.path(output.path, file.name,
            fsep=.Platform$file.sep)

        screen_gw_mad(verbose, FALSE, "Saving file '", file.name, "'.")
        madfile <- data.frame(data$names, data$baf[ , ncel + 1], data$pos,
            data$lrr[ , ii], data$baf[ , ii], data$calls[ , ii])
        colnames(madfile) <- c("Name", "Chr", "Position", "Log.R.Ratio",
            "B.Allele.Freq", "GType")

        madfile[madfile$Chr==23, "Chr"] <- "X";
        if (fill.24) {
            screen_gw_mad( verbose, FALSE, "Filling chromosome 24 for '",
               file.name, "'.")
            lny <- round(sum(madfile$Chr == "X") / 3)
            cn <- madfile[madfile$Chr == "X", ][1:lny, ]
            cn[ , "Chr"] <- "Y"
            madfile <- rbind(madfile, cn)
        }

        write.table(madfile, file=file.name, quote=FALSE, row.names=FALSE,
            sep="\t", na="NA")
    }
}
