

plotMad <- function(mad.file, output.name, chr, caption="", png.out=FALSE) {

    ds <- read.table(mad.file, header=TRUE)

    if (length(chr) == 1) {
        chr_list <- c(chr)
    }
    else {
        chr_list <- chr
    }
    rm("chr")

    for (chr in chr_list) {
        if (png.out) {
            png(paste0(output.name, "_", chr, ".png"))
        } else {
            pdf(paste0(output.name, "_", chr, ".pdf"))
        }

        par(mar = c(5, 4, 4, 4 ) + 0.1)
        x <- as.integer(as.character(ds[ds[ , 'Chr'] == chr, 'Position']))
        y <- as.numeric(as.character(ds[ds[ , 'Chr'] == chr, 'Log.R.Ratio']))
        plot(x, y, pch='.', col="black", cex=2, ylab = "", xlab = "",
            main = "", yaxt="n", ylim=c(-1, 1))
        mtext(paste0("Chr ", chr ), side=3)
        par(new=TRUE)
        color <- c(AA=2, AB="#FA8072", BB=2)[
            as.character(ds[ds[ , 'Chr'] == chr, 'GType'])];
        y <- as.numeric(as.character(ds[ds[ , 'Chr'] == chr, 'B.Allele.Freq']))
        plot(x, y, pch='.', col=color, cex=2, ylab = "", xlab = "",
            main = "", xaxt="n", yaxt="n", ylim=c(0, 1))
        mtext("LRR", side = 2, col = "black", line = 2.5, adj = 0.5)
        mtext("BAF", side = 4, col = "black", line = 2.5, adj = 0.5)
        mtext("Chromosome coordinates", side = 1, col = "black", line = 2.5)
        axis(2, at = c(0, 0.25, 0.5, 0.75, 1),
            labels = c("-1.0", -0.5, "0.0", 0.5, "1.0"), las = 1,
            col = "black", col.axis = "black")
        axis(4, at = c(0, 0.25, 0.5, 0.75, 1),
            labels = c("0.0", 0.25, 0.5, 0.75, "1.0"), las = 1,
            col = "black", col.axis = "black")
        title(caption)

        dev.off()
    }
}
