\name{affy2sv-package}
\alias{affy2sv-package}
\alias{affy2sv}
\docType{package}
\title{aff2sv - Affymetrix SNP arrays preprocess for Structural Variants analysis.}
\description{
MAD and inveRsion; as snpStats, R-GADA, PLINK or PennCNV, requests a specific input format. This package allows to extract the requested information from the raw CEL files from Affymetrix (GenomeWide SNP 5.0/6.0, Axiom and CytoScan HD/750k) and create each type of input file for those softwares.
}
\details{
    \tabular{ll}{
        Package: \tab affy2sv\cr
        Type: \tab Package\cr
        Version: \tab 1.0\cr
        Date: \tab 2013-11-01\cr
        License: \tab MIT\cr
    }

The package includes 3 pieces from the Affymetrix Power Tools (APT) 1.15.1: apt-copynumber-cyto, apt-geno-qc and apt-probeset-genotype. The complete set of the APT and the source code can be found at http://www.affymetrix.com/estore/partners_programs/programs/developer/tools/powertools.affx and they are released under the GNU GENERAL PUBLIC LICENSE (v2) specified at http://media.affymetrix.com/support/developer/powertools/changelog/LICENSE.html.\\

Usually, the process to apply the R-package affy2sv is:
 - Step 1: Extract raw information from the raw data (process the CEL files)
 - Step 2: Create the desired file through the raw information

To achieve the Step 1 the package provide the functions ax2apt (for Axiom) and cy2apt (for CytoScan) that use the APT. The Step 2 is performed by ax2madfile, ax2snpmatrix and cy2madfile and cy2snpmatrix. For GenomeWide SNP two single functions are provided that joints the two steps: gw2madfile and gw2snpmatrix
}
\author{
Author: Carles Hernandez-Ferrer <chernandez@creal.cat> and Juan R Gonzalez <jrgonzalez@creal.cat>
Maintainer: Juan R Gonzalez <jrgonzalez@creal.cat>
}
\references{
Caceres A, Sindi SS, Raphael BJ, Caceres M, Gonzalez JR. Identification of polymorphic inversions from genotypes. BMC Bioinformatics. 2012 Feb 9;13:28.
Jacobs KB, Yeager M, Zhou W, ... Gonzalez JR, ... Rothman N, Perez-Jurado LA, Chanock SJ. Detectable clonal mosaicism and its relationship to aging and cancer. Nat Genet. 2012 May 6;44(6):651-8
}
\keyword{ package }
\seealso{
R-GADA, snpStats, inveRsion, Array-TV
}
