\name{ax2madfile}
\alias{ax2madfile}
\title{ax2madfile documentation}
\description{
The function "ax2madfile" was designed to process a cohort Affymetrix Axiom CEL files estimating their calls and generating a madfile for each individual.
}
\usage{
ax2madfile( calls.file, summary.file, annotation.file, output.name, output.type = "mad", metrix.file = NA, metrix.tm = 97.0,
    verbose = FALSE )
}
\arguments{
\item{calls.file}{Path to CALLS file obtained from ax2apt of from apt-probeset-genotype.}
\item{summary.file}{Path to SUMMARY file obtained from ax2apt of from apt-probeset-genotype.}
\item{annotation.file}{Path to the annotation CSV file.}
\item{output.name}{Path where output files will be stored.}
\item{output.type}{By default the function creates plain output files in MAD format but it can also save the output as PennCNV format [mad|penncnv].}
\item{metrix.file}{Path to the metrix file if available (from ax2apt).}
\item{metrix.tm}{If metrix file is available, minimum of call rate to accept an array.}
\item{verbose}{~~}
}
\references{ ~~ }
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{mad}
\seealso{ax2apt, ax2snpmatrix, gw2madfile, cy2madfile }
\examples{
#sm <- ax2madfile( "output/AxiomGT1.calls.txt", "output/AciomGT1.summary.txt", "libary/GenomeWideSNP_6.na32.annot.csv" )
}