\name{cy2apt}
\alias{cy2apt}
\title{cy2apt documentation}
\description{
This function takes the CEL files and uses the apt-copynumber-cyto to normalize the intensities, genotype and create the CYCHP files.
}
\usage{
cy2apt( cel.files, output.path, analysis.path, cdf.file, chrX.probes, chrY.probes, analysis.qca,
    analysis.qcc, analysis.snp, analysis.annotdb, analysis.refmodel, verbose = FALSE )
}
\arguments{
\item{cel.files}{Path to the CEL files.}
\item{output.path}{Path where CALLS, SUMMARY and METRIX file will be stored.}
\item{analysis.path}{Path to the files of the analysis library.}
\item{cdf.file}{Name of the CDF file.}
\item{chrX.probes}{Name of the chrXprobes file.}
\item{chrY.probes}{Name of the chrYprobes file.}
\item{analysis.qca}{Name of the XML QCA file.}
\item{analysis.qcc}{Name of the XML QCC file.}
\item{analysis.snp}{Name of the txt SNP file.}
\item{analysis.annotdb}{Name of the DB annotation file.}
\item{analysis.refmodel}{Name of the RefModel file.}
\item{verbose}{~~}
}
%\references{ ~~ }
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{snpmatrix}
\seealso{ cy2apt, cy2madfile, gw2snpmatrix, ax2snpmatrix }
\examples{
#sm <- cy2apt( "output/AxiomGT1.calls.txt", "libary/GenomeWideSNP_6.na32.annot.csv" )
}
