\name{cy2madfile}
\alias{cy2madfile}
\title{cy2madfile documentation}
\description{
The function "cy2madfile" was designed to process a cohort Affymetrix CytoScan HD CYCHP files generating a madfile for each individual.
}
\usage{
cy2madfile( cychp.files, output.name, output.type = "mad", cychp.attime = 4, quantile.bottom = 0.25, quantile.top = 0.75,
    fill.24 = TRUE, verbose = FALSE )
}
\arguments{
\item{cychp.files}{Path to CYCHP files obtained from cy2apt of from apt-copynumber-cyto.}
\item{output.name}{Path where output files will be stored.}
\item{output.type}{By default the function creates plain output files in MAD format but it can also save the output as PennCNV format [mad|penncnv].}
\item{cychp.attime}{Number of CYCHP files processed at the same time.}
\item{quantile.bottom}{Lowe quantile accepted on filtering allele peaks.}
\item{quantile.top}{Top quantile accepted on filtering allele peaks.}
\item{fill.24}{If true chromosome 24 will be filled with dummy data.}
\item{verbose}{~~}
}
\references{~~}
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{mad}
\seealso{ cy2apt, cy2snpmatrix, gw2madfile, ax2madfile }
\examples{
#cychp.files = "storage/cy.hd/cychp"
#cy2madfile( cychp.files, "cyhd.mad" )
}