\name{cy2snpmatrix}
\alias{cy2snpmatrix}
\title{cy2snpmatrix documentation}
\description{
The function "cy2snpmatrix" was developed to parse the CYCHP files from a cohort of Affymetrix CystScan HD files and creates a SnpMatrix container, with a MAP object a SnpMatrix with the calls of all the individuals.
}
\usage{
cy2snpmatrix( cychp.files, annotation.file, cychp.attime = 4, output.type = "snpmatrix", 
    output.name = NA, verbose = FALSE )
}
\arguments{
\item{cychp.files}{Path to the CYCHP files obtained from cy2apt of from apt-copynumber-cyto.}
\item{annotation.file}{Path to the annotation CSV file.}
\item{cychp.attime}{Number of CYCHP files processed at the same time.}
\item{output.type}{By default this function returns a SnpMatrix container. If "plink" is assigned to "output.type" a TPED file is created with this name and "NA" is returned.}
\item{output.name}{Name used to create the "plink" output file.}
\item{verbose}{~~}
}
%\references{ ~~ }
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{snpmatrix}
\seealso{ cy2apt, cy2madfile, gw2snpmatrix, ax2snpmatrix }
\examples{
#cychp.files = "storage/cy.hd/cychp"
#cy2snpmatrix( cychp.files, "libary/CytoScanHD_Array.na32.3.annot.csv" )
}
