\name{gw2madfile}
\alias{gw2madfile}
\title{gw2madfile documentation}
\description{
The function "gw2madfile" was designed to process a cohort Affymetrix Genome-Wide SNP, version 5.0 or 6.0, CEL files estimating their calls and generating a madfile for each individual.
}
\usage{
gw2madfile( cel.files, output.name, output.type = "mad", cel.platform = "affy6", cel.validate = TRUE, cel.genome = "hg19", 
    cel.attime = 4, verbose = FALSE )
}
\arguments{
\item{cel.files}{Path to CEL files.}
\item{output.name}{Path where output files will be stored.}
\item{output.type}{By default the function creates plain output files in MAD format but it can also save the output as PennCNV format [mad|penncnv].}
\item{cel.platform}{Cohort technology [affy5|affy6].}
\item{cel.validate}{If it is set to FALSE the CEL files are not validated.}
\item{cel.genome}{Genome annotation, by default "hg19" version [hg18|hg19]. }
\item{cel.attime}{Number of CEL files processed at the same time. And number of chromosomes processed by time in a single CEL.}
\item{verbose}{~~}
}
\references{~~}
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{mad}
\seealso{ gw2snpmatrix, cy2madfile, ax2madfile }
\examples{
#cel.files = "storage/affy6/cel"
#gw2madfile( cel.files, "gw.mad" )
}