\name{gw2snpmatrix}
\alias{gw2snpmatrix}
\title{gw2snpmatrix documentation}
\description{
The function "gw2snpmatrix" was designed to process a cohort of Affymetrix Genome-Wide SNP, version 5.0 or 6.0, CEL files estimating their calls and generating a container with a "map", annotation information, and a "genotype", a SnpMatrix with the calls.
}
\usage{
gw2snpmatrix( cel.files, cel.platform = "affy6", cel.attime = 4, 
    cel.validate = TRUE, output.type = "snpmatrix", output.name = NA, verbose = FALSE )
}
\arguments{
\item{cel.files}{Path to CEL files.}
\item{cel.platform}{Cohort technology [affy5|affy6].}
\item{cel.attime}{Number of CEL files processed at the same time.}
\item{cel.validate}{If TRUE the CEL files are validated before processing.}
\item{output.type}{By default this function returns a SnpMatrix container. If "plink" is assigned to "output.type" a tped file is created with this name and "NA" is returned.}
\item{output.name}{Name used to create the "plink" output file.}
\item{verbose}{~~}
}
%\references{ ~~ }
\author{Carles Hernandez-Ferrer and Juan R. Gonzalez}
\keyword{affymetrix}
\keyword{snpmatrix}
\seealso{ gw2madfile, cy2snpmatrix, ax2snpmatrix }
\examples{
#cel.files = "storage/affy6/cel"
#sm <- gw2snpmatrix( cel.files, cel.attime=10 )
}
